//+------------------------------------------------------------------+
//|                                              analiz_7_8_hour.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

int mn=1;
extern int open_hour = 7;
extern int h = 1;
extern int open_min = 00;
extern int min = 0;

extern int TakeProfit=30;
extern double Lots=0.1;
extern int N=40;
extern int t_exp=3600;


extern bool digits_5=true;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
  if (  (TimeHour(TimeCurrent( )) >= open_hour   && TimeMinute(TimeCurrent( )) >= open_min    )&&
        (TimeHour(TimeCurrent( )) <= open_hour+h && TimeMinute(TimeCurrent( )) <= open_min+min)  ) 
        bool market=true;
        else market=false;
        
  for(int i=0;i<100;i++){
        if(Time[i]==StrToTime(DoubleToStr(open_hour+h, 0) +":"+ DoubleToStr(open_min+min, 0))) int bar=i;
                          }
                       

   double max=-1000, min=1000; 
   for(i=0;i<=bar;i++){
    if(iHigh(Symbol(),0,i)>max)max=iHigh(Symbol(),0,i);
    if(iLow (Symbol(),0,i)<min)min=iLow (Symbol(),0,i);
                       }
                       
    //                      Alert(bar,"    ",max);    
   
    int spread=MarketInfo(Symbol(),MODE_SPREAD);
    datetime expation=TimeCurrent( ) +t_exp;
    if(digits_5==true) int T=TakeProfit*10; else T=TakeProfit;
    
    if(market==true && CalculateOrders(Symbol(),OP_BUY)==0 && CalculateOrders(Symbol(),OP_BUYSTOP)==0)    
    OrderSend(Symbol(),OP_BUYSTOP,Lots,max+Point*(spread+N),0,min,max+(spread+N+T)*Point,NULL,mn,expation,CLR_NONE);   
    
    
    if(market==true && CalculateOrders(Symbol(),OP_SELL)==0 && CalculateOrders(Symbol(),OP_SELLSTOP)==0)    
    OrderSend(Symbol(),OP_SELLSTOP,Lots,min-       N*Point,0,max,min-(N+T        )*Point,NULL,mn,expation,CLR_NONE); 
    

//----
   return(0);
  }
//+------------------------------------------------------------------+

int CalculateOrders(string simbol,int type) {   int count=0;

   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
      if(OrderSymbol()==simbol )//&& OrderMagicNumber()==mn)
        {
         if(OrderType()==type)  count++;
        
        }
     }
     
 return(count);
  }